Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Instance Methods | Static Protected Member Functions | Protected Attributes | List of all members
OpenALThread Class Reference

## Public Types
enum | { kMinThreadPriority = 1, kMaxThreadPriority = 63, kDefaultThreadPriority = 31 }
typedef void *(* | ThreadRoutine) (void *inParameter)

## Instance Methods
() | - OpenALThread
() | - ~OpenALThread
(bool) | - IsRunning
(void) | - SetAutoDelete
(void) | - SetPriority
(void) | - Start

## Static Protected Member Functions
(static void *) | + Entry
(static UInt32) | + getScheduledPriority

## Protected Attributes
pthread_t | mPThread
UInt32 | mSpawningThreadPriority
ThreadRoutine | mThreadRoutine
void * | mThreadParameter
SInt32 | mPriority
bool | mFixedPriority
bool | mAutoDelete

## Member Typedef Documentation

- (typedef void*(* ThreadRoutine) (void *inParameter))

## Member Enumeration Documentation

- (anonymous) enum

Enumerator
kMinThreadPriority |
kMaxThreadPriority |
kDefaultThreadPriority |

## Constructor & Destructor Documentation

- OpenALThread |  | (ThreadRoutine) | inThreadRoutine
|  | (void *) | inParameter

- ~OpenALThread |  |  |

## Method Documentation

+ (static void*) Entry |  | (OpenALThread *) | inOpenALThread |

+ (static UInt32) getScheduledPriority |  | (pthread_t) | inThread
|  | (int) | inPriorityKind

- (bool) IsRunning |  |  | const

- (void) SetAutoDelete |  | (bool) | b |

- (void) SetPriority |  | (UInt32) | inPriority
|  | (bool) | inFixedPriority

- (void) Start |  |  |

## Member Data Documentation

- (bool) mAutoDelete
| protected

- (bool) mFixedPriority
| protected

- (SInt32) mPriority
| protected

- (pthread_t) mPThread
| protected

- (UInt32) mSpawningThreadPriority
| protected

- (void*) mThreadParameter
| protected

- (ThreadRoutine) mThreadRoutine
| protected

The documentation for this class was generated from the following file:

- platformiOS/SoundEngine.mm